libquicktime (2:1.2.4-7build3) xenial; urgency=medium

  * No-change rebuild against new x264

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 10 Nov 2015 13:49:37 +0000

libquicktime (2:1.2.4-7build2) wily; urgency=medium

  * No-change rebuild against ffmpeg 2.7

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 01 Sep 2015 18:10:01 +0200

libquicktime (2:1.2.4-7build1) wily; urgency=medium

  * No change rebuild for new x264 

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 12 May 2015 22:02:04 -0500

libquicktime (2:1.2.4-7) unstable; urgency=medium

  * Team upload.
  * Build-depend on libjpeg-dev; conversely drop build-dep on libjpeg8-dev.
    Thanks to Ondřej Surý for the nice reminder. (Closes: #763481)

 -- Alessio Treglia <alessio@debian.org>  Tue, 30 Sep 2014 15:00:59 +0100

libquicktime (2:1.2.4-6) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - Bump Standards-Version.
    - Use canonical Vcs-* URIs.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 13 May 2014 20:55:38 +0200

libquicktime (2:1.2.4-5) experimental; urgency=low

  * build against libav10 (Closes: #739325)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 16 Mar 2014 13:13:12 -0400

libquicktime (2:1.2.4-4) unstable; urgency=low

  * remove Sam from the Uploaders field on his own request
  * disable cpu autodetection (Closes: #707305)
  * Bump standards version (no changes needed)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 12 Jun 2013 19:02:27 +0200

libquicktime (2:1.2.4-3) unstable; urgency=low

  * Team upload.
  * debian/patches/11-path_max.patch (Closes: #670338):
    - Avoid the use of PATH_MAX to allow building quicktime on hurd.
    - utils/rechunk.c: Don't use getline() unconditionally as it
      needs GNU extensions.

 -- Alessio Treglia <alessio@debian.org>  Mon, 21 May 2012 19:40:32 +0200

libquicktime (2:1.2.4-2) unstable; urgency=low

  * Remove translations from libquicktime2, they are not that useful.
    (Closes: #670027)

 -- Alessio Treglia <alessio@debian.org>  Mon, 23 Apr 2012 01:55:26 +0200

libquicktime (2:1.2.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release:
    - Upgrade for newer ffmpeg APIs
    - Fix the JPEG encoder for image sizes, which are no multiples of 16
    - Export edit lists in the public API
    - Support for 10 bit DNxHD streams
  * Drop 30-libav-0.7.patch, fixed upstream.
  * Refresh 02-install-in-libquicktime2.patch
  * Convert to MultiArch.
  * Refresh symbols file.
  * Change build-dep from libpng12-dev to libpng-dev. (Closes: #662409)
  * Demote libquicktime-doc from Recommends to the Suggests field of
    libquicktime-dev.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Apr 2012 11:07:51 +0200

libquicktime (2:1.2.3-4) unstable; urgency=low

  * Team upload.
  * Enable MP3 support (Closes: #636422).

 -- Alessio Treglia <alessio@debian.org>  Wed, 03 Aug 2011 11:33:51 +0200

libquicktime (2:1.2.3-3) unstable; urgency=low

  * Team upload.
  * Enable x264 support (Closes: #636161).
  * wrap-and-sort on debian/control.

 -- Alessio Treglia <alessio@debian.org>  Mon, 01 Aug 2011 21:01:26 +0200

libquicktime (2:1.2.3-2) unstable; urgency=low

  * Team upload.
  * Replace negated list of architectures with linux-any (Closes: #634814).

 -- Alessio Treglia <alessio@debian.org>  Wed, 20 Jul 2011 16:54:03 +0200

libquicktime (2:1.2.3-1) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Update patchset:
    - Remove patches applied upstream.
    - Refresh patches.
  * libjpeg62 -> libjpeg8

 -- Alessio Treglia <alessio@debian.org>  Sat, 09 Jul 2011 11:03:03 +0200

libquicktime (2:1.2.2-4) experimental; urgency=low

  * Patch to build against Libav 0.7

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 01 Jul 2011 18:17:24 +0200

libquicktime (2:1.2.2-3) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * Remove unneeded shlibs:Depends macro from -DEV's Depends field.
  * debian/patches/11-gtk+-2.24.patch:
    - Conditional compilation to allow building with GTK+ << 2.24, also
      accepted upstream.

 -- Alessio Treglia <alessio@debian.org>  Tue, 24 May 2011 16:18:00 +0200

libquicktime (2:1.2.2-2) experimental; urgency=low

  * Team upload.

  [ Fabian Greffrath ]
  * Finally remove 21-export-quicktime_set_window.patch.
    This patch was added in libquicktime_0.9.3-2 in 2004 in order to fix
    building xmovie. This package, in turn, had this fix integrated into
    its final 1.9.12-1.1 package in 2006 and has since then been removed
    from Debian.
    Technically, we have already bumped SONAME anyway, we are the only
    distro to ship this symbol, no other known package needs it and we
    are targetting experimental anyway. Should be save. ;)
  * Remove myself from uploaders.

  [ Alessio Treglia ]
  * Update symbols, 2:1.2.2 is the first version of libquicktime2.

 -- Alessio Treglia <alessio@debian.org>  Mon, 02 May 2011 15:12:43 +0200

libquicktime (2:1.2.2-1) experimental; urgency=low

  * Team upload.

  [ Fabian Greffrath ]
  * The gtk_widget_set_can_default() function first appeared in gtk+-2.18,
    update Build-Depends accordingly.
  * 11-gtk+-2.24.patch: Patch to remove deprecation warning when compiling
    against new gtk libraries (Closes: #622050).
  * Bump Build-Depends to libgtk2.0-dev (>= 2.24) accordingly.
  * Remove 70-relibtoolize.patch in favour of dh-autoreconf.

  [ Alessio Treglia ]
  * Imported Upstream version 1.2.2:
    - Changes in 1.2.2:
      + This fixes compilation errors with newer gtk versions and a crash
        in the plugin registry.
    - Changes in 1.2.1:
      + This fixes compilation errors with newer x264 versions.
    - Changes in 1.2.0:
      + This brings reading and writing of compressed packets for lots of
        codecs. In addition lots of internals got cleaned up and several
        enhancements and fixes from the community got checked in.
  * Switch packaging to 3.0 (quilt) format.
  * Update debian/libquicktime-dev.install file:
    - lqt-config and lqt.m4 were removed by upstream.
  * debian/quicktime-utils.install: Add new lqtremux tool.
  * debian/control:
    - Build-Depends on autopoint.
    - Bump Standards.
    - Correct maintainer's name.
  * debian/rules:
    - Adjust order of rules inclusion to prevent the creation of
      debian/*.debhelper.log files. See bug#596099.
    - Link with --as-needed.
  * Bump SONAME:
    - Update debian/clean.
    - debian/control:
      + Introduce new libquicktime2 runtime.
      + Update libquicktime-dev's Depends field.
    - debian/patches/02-install-in-libquicktime1.patch:
      + Rename it as 02-install-in-libquicktime2.patch.
      + Refresh to reflect the SONAME change.
    - Rename and update debian/libquicktime1.install.
    - Add symbols file.
  * Refresh patches.
  * debian/patches/22-spelling_errors.patch:
    - Correct some misspellings.
  * debian/patches/23-manpage_errors.patch:
    - "-" must be escaped ("\-") to be interpreted as minus.
  * Symlink jquery.js to /usr/share/doc/libquicktime-doc/apiref/jquery.js.
  * Set libquicktime-doc depending on libjs-jquery.
  * Register documentation with doc-base.
  * Update copyright information, fix copyright-refers-to-symlink-license.

 -- Alessio Treglia <alessio@debian.org>  Fri, 29 Apr 2011 10:43:37 +0200

libquicktime (2:1.1.5-1) unstable; urgency=low

  [ Fabian Greffrath ]
  * Imported Upstream version 1.1.5
  * No more version mangling needed in debian/watch since 1.1.4.
  * Removed 03-spurious-files-in-potfiles-in.patch, not necessary anymore.
  * Removed 20-deprecated-headers.patch and dropped the symlink from
    quicktime to include/lqt, both are not necessary anymore.
  * Refreshed 02-install-in-libquicktime1.patch for the new upstream
    version.
  * Refreshed 70-relibtoolize.patch for the new upstream version.

  [ Reinhard Tartler ]
  * place me first in the uploader list
  * bump standards version to 3.8.3, no changes needed

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 16 Mar 2010 12:07:29 +0100

libquicktime (2:1.1.4-1) unstable; urgency=low

  * Imported Upstream version 1.1.4
  * Upstream finally decided to not ship their own outdated debian/
    directory anymore. Drop the +debian suffix from the upstream version
    number, since repackaging of the original source tarball has become
    unnecessary. Also drop 01-debian-directory.patch.
  * Refreshed 02-install-in-libquicktime1.patch for the new upstream
    version.
  * Upstream also decided to not ship the auto-generated
    include/quicktime/lqt_version.h anymore. Adjust debian/gbp.conf
    accordingly.
  * Simplified debian/README.source.
  * Refreshed 70-relibtoolize.patch for the new upstream version.
  * Update my email address.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Sat, 09 Jan 2010 22:41:05 +0100

libquicktime (2:1.1.3+debian-1) unstable; urgency=low

  * Imported Upstream version 1.1.3+debian.
  * Added debian/gbp.conf.
  * debian/patches/02-install-in-libquicktime1.patch,
    debian/patches/70-relibtoolize.patch: Refreshed for the new upstream
    version.
  * Bumped debian/compat to 7.
  * Ordered Build-Depends.
  * Fixed Vcs-fields to point to the right location.
  * Removed any references to packages not in Debian.
  * Explicitely set DEB_DESTDIR.

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Mon, 28 Sep 2009 14:23:47 +0200

libquicktime (2:1.1.2+debian-1) unstable; urgency=low

  [ Fabian Greffrath ]
  * New upstream version.
  * debian/patches/01-debian-directory.patch: Refreshed.
  * debian/patches/02-install-in-libquicktime1.patch: Refreshed.
  * debian/patches/70-relibtoolize.patch: Recreated.
  * debian/control: Added libschroedinger-dev to Build-Depends.
  * debian/patches/03-spurious-files-in-potfiles-in.patch: Also remove
    plugins/schroedinger/extract_settings.c from POTFILES.in.
  * debian/README.source: Document that the debian/ directory is removed
    from the upstream tarball.
  * debian/control: Bumped Standards-Version to 3.8.2.
  * debian/rules: Removed the get-orig-source rule. We only remove the
    debian/ directory which is (a) trivial and (b) now documented in
    debian/README.Source. Additionally we now use GIT and pristine-tar,
    so a tarball in the ../tarballs directory does not play any role
    anymore.
  * Bring back the header for debian/patches/70-relibtoolize.patch.
  * debian/rules: Also remove the now unnecessary DEB_VERSION and
    UPSTREAM_VERSION variables.
  * debian/rules: Also remove the obsolete DEB_DH_INSTALL_SOURCEDIR
    variable.

  [ Reinhard Tartler ]
  * Introduce a symbol file to track API additions with dpkg-gensymbols(1)
  * use debhelper 7
  * cleanup 'clean' target by using debian/clean
  * add myself to uploaders

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 01 Jul 2009 08:10:48 +0200

libquicktime (2:1.1.1+debian-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * Rebuilt upstream tarball without debian/ directory.
  * debian/patches/01-debian-directory.patch,
    debian/patches/02-install-in-libquicktime1.patch,
    debian/patches/70-relibtoolize.patch:
    + Refreshed.

  * debian/*.install:
    + Simplified, removed leading "/" and trailing "/*".
  * debian/docs:
    + Removed, README and TODO get installed by cdbs anyway.
  * debian/rules:
    + Replaced package version detection with a more sophisticated algorithm.
    + Simplified by doing autodetection of headers:
      - faac.h
      - lame/lame.h
      - x264.h
      Also removed the setting externalcodecs from DEB_BUILD_OPTIONS. The codecs
      will be enabled as soon as the headers are installed on the filesystem,
      so there is no need in enabling that separately.
    + Both changes taken from the ffmpeg-debian package.
    + Improved get-orig-source rule to not blindly assume an existing
      "../tarballs" directory.
  * debian/watch:
    + Removed spurious comments and correctly cited dversionmangle option.
  * debian/patches/06-lqt-config-cflags.dpatch:
    + Actually removed from the tarball.
  * debian/patches/*:
    + Added comments to all remaining patches, thanks lintian.

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Mon, 23 Feb 2009 10:16:13 +0100

libquicktime (2:1.1.0+debian-1) experimental; urgency=low

  * New upstream release (Closes: #506955).
  * Rebuilt upstream tarball without debian/ directory.

  * debian/control:
    + Bumped Standards-Version to 3.8.0.
    + Removed the "XS-" prefix from the Vcs-Svn and Vcs-Browser fields.
  * debian/control, debian/rules, debian/patches/*:
    + Switched from dpatch to quilt.
  * debian/README.source:
    + Added.
  * debian/libquicktime1.shlibs:
    + Bumped to (>= 2:1.1.0+debian) due to API additions.

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Fri, 28 Nov 2008 08:57:11 +0100

libquicktime (2:1.0.3+debian-2) experimental; urgency=low

  * debian/control:
    + Introduced new package "libquicktime-doc" that contains the html
      documentation of the libquicktime API.
    + Made libquicktime-dev recommend libquicktime-doc.
  * debian/copyright:
    + Changed to use the "©" symbol instead of "Copyright (C)".
  * debian/libquicktime-docs, debian/rules:
    + Moved documentation from libquicktime-dev to libquicktime-doc.
  * debian/rules:
    + Introduced the "externalcodecs" keyword as in the ffmpeg-debian packages.
      Set this in DEB_BUILD_OPTIONS to enable support for additional codecs via
      external libraries.
  * debian/watch:
    + Mangled version to remove the "+debian" string.

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Mon, 11 Aug 2008 11:30:00 +0100

libquicktime (2:1.0.3+debian-1) experimental; urgency=low

  * New upstream release.
  * Rebuilt upstream tarball without debian/ directory.
  * Targeted at experimental due to the Lenny freeze.

  * debian/libquicktime1.shlibs:
    + Bumped to (>= 2:1.0.3+debian) due to API additions.
  * debian/patches/01-debian-directory.dpatch,
    debian/patches/02-install-in-libquicktime1.dpatch,
    debian/patches/03-spurious-files-in-potfiles-in.dpatch,
    debian/patches/70_relibtoolize.dpatch:
    + Updated.
  * debian/patches/06-lqt-config-cflags.dpatch:
    + Removed, fixed upstream.
  * debian/rules:
    + Built '--with-libdv'.

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Fri,  1 Aug 2008 11:04:00 +0100

libquicktime (2:1.0.2+debian-2) unstable; urgency=medium

  [ Fabian Greffrath ]
  * debian/control:
    + Added Build-Depends on cdbs.
  * debian/rules:
    + Converted Debian packaging to CDBS.
    + Improved get-orig-source rule to
      - compute the version instead of hardcoding it,
      - remove libquicktime-1.0.2.tar.gz and libquicktime-1.0.2/ afterwards,
      - output the tarball in ../tarballs and
      - not rename the toplevel directory anymore.

  [ Loic Minier ]
  * Add proper GL support by build-deping on libgl1-mesa-dev | libgl-dev.
  * Add ${shlibs:Depends} and ${misc:Depends} to libquicktime-dev.
  * Let libquicktime-dev depend on libgl1-mesa-dev | libgl-dev for -lGL in
    libquicktime.pc until upstream moves to Libs.private;
    closes: #462508, #462513.

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Fri, 25 Jan 2008 09:48:21 +0100

libquicktime (2:1.0.2+debian-1) unstable; urgency=low

  [ Loic Minier ]
  * Drop dpatch 04-use-soname, obsoleted by the cleanup changes in
    2:1.0.0+debian-5.
  * Update 02-install-in-libquicktime1 to init the package with libquicktime1
    instead of libquicktime.
  * Refresh 70_relibtoolize for the above changes.
  * Document how 70_relibtoolize was generated in its description.

  [ Fabian Greffrath ]
  * New upstream release.
    + No API changes relative to 1.0.0.
    + Fixes typos in lqtplay manpage (Closes: #449092).
  * Rebuilt upstream tarball without debian/ directory.

  * debian/control:
    + Added libasound2-dev to the build-deps for supported architectures
      to enable the ALSA plugin.
    + Added libswscale-dev to the build-deps to enable the libswscale plugin.
    + Added Homepage: field to header, removed from package descriptions.
    + Bumped Standards-Version to 3.7.3.
  * debian/patches/01-debian-directory.dpatch,
    debian/patches/02-install-in-libquicktime1.dpatch,
    debian/patches/03-spurious-files-in-potfiles-in.dpatch,
    debian/patches/70_relibtoolize.dpatch,
    debian/patches/00list:
    + Updated.
  * debian/patches/05-dont-depend-on-gthread.dpatch,
    debian/patches/22-rtjpeg-64bit-fix.dpatch:
    + Dropped, applied upstream.
  * debian/patches/60_gtk212-tooltip.dpatch:
    + Dropped, fixed upstream.
  * debian/rules:
    + Added a test to disable the ALSA plugin on unsupported architectures.
    + Added a get-orig-source rule to document how to generate a tarball
      suitable for Debian.
    + Patch before clean, unpatch after clean.
    + Do not ignore make clean errors.

  [ Loic Minier ]
  * Do not override CFLAGS completely.
  * Use debian/docs instead of debian/*.docs as these listed the same files.
  * Drop --without-alsa as it's disabled by upstream logic when not available.

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Tue, 15 Jan 2008 14:39:45 +0100

libquicktime (2:1.0.0+debian-5) unstable; urgency=low

  * Update 02-install-in-libquicktime1 to pass -version-number to libtool and
    to set the PACKAGE to libquicktime1 instead of patching the name in
    configure.
  * Port to GtkTooltip API; closes: #444510.
    - New patch, 60_gtk212-tooltip, port to new API.
    - Bump up libgtk2.0-dev build-dep to >= 2.12.
    - Update patches 01-debian-directory, 02-install-in-libquicktime1, and
      05-dont-depend-on-gthread to only update source files; new patch,
      70_relibtoolize, to updated generated files (automake-1.9 && autoconf &&
      rm -rf autom4te.cache).
  * Wrap build-deps and deps.
  * Cleanup rules.
  * Fix a s/CLFAGS/CFLAGS typo in rules.
  * Only pass --host to configure if DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE
    differ.
  * Add myself to Uploaders.

 -- Loic Minier <lool@dooz.org>  Sat, 29 Sep 2007 21:46:06 +0200

libquicktime (2:1.0.0+debian-4) unstable; urgency=low

  * Upload to unstable (Closes: #421496).

  * debian/control:
    + Added zlib1g-dev to the libquicktime-dev deps.

  * debian/rules:
    + Symlinked doc/html/qt4l_*.html to get rid of the prefix
      (Closes: #433653).

  * debian/patches/06-lqt-config-cflags.dpatch:
    + New patch: Fix "lqt-config --cflags" to get the include path
      (Closes: #391847).

  * Pulled in patches from the unstable branch...

  * debian/patches/20-deprecated-headers.dpatch:
    + Avoid inclusion of deprecated headers (Closes: #407596).
  * debian/rules:
    + Symlink include/quicktime to include/lqt so that libquicktime can build
      without its own headers installed (Closes: #417042).

  * debian/patches/21-export-quicktime_set_window.dpatch:
    + Export the quicktime_set_window function.

  * debian/patches/22-rtjpeg-64bit-fix.dpatch:
    + Use proper integer types where fixed sizes are required. Updated by
      Loic Minier to replace some unsigned long long casts with uint64_t casts
      instead; should fix build failure on amd64 (Closes: #417055).

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Mon, 19 Jul 2007 12:27:00 +0200

libquicktime (2:1.0.0+debian-3) experimental; urgency=low

  * debian/control:
    + Drop the libx264-dev build-dep.
  * Rebuild against new libavcodec (Closes: #427640).

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Thu, 14 Jun 2007 08:19:27 +0200

libquicktime (2:1.0.0+debian-2) experimental; urgency=low

  * debian/patches/05-dont-depend-on-gthread.dpatch:
    + New patch. Don't accidentally depend on the libgthread library
      (Closes: #433620).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 10 May 2007 14:20:24 +0200

libquicktime (2:1.0.0+debian-1) experimental; urgency=low

  [ Fabian Greffrath ]

  * New upstream release.
  * Rebuild upstream tarball without debian directory.

  * debian/compat:
    + Set compat to 5.
  * debian/control:
    + Set pkg-multimedia-maintainers as main maintainer,
      added Sam Hocevar and myself as uploaders.
    + Bumped debhelper Build-Depends to (>= 5).
    + Added libfaad-dev and libx264-dev to Build-Depends.
    + Added VCS fields.
    + Added ${misc:Depends} to package dependencies.
    + Added Homepage: to package descriptions.
    + Use ${binary:Version} instead of ${Source-Version}.
  * debian/copyright:
    + Redone.
  * debian/*.docs:
    + Added README.
  * debian/libquicktime-dev.install:
    + Removed non-existing *.a files.
  * debian/libquicktime0.install:
    + Added /usr/share/locale/*.
  * debian/quicktime-utils.install:
    + Added /usr/bin/qt2text.
  * debian/rules:
    + Added unpatch to clean rule.
    + Added --ignore-errors to `-$(MAKE) distclean'.

  [ Sam Hocevar ]

  * debian/control:
    + Rename libquicktime0 to libquicktime1.
  * debian/libquicktime-dev.install:
    + Do not ship .la files.

  * debian/patches/02-install-in-libquicktime1.dpatch:
    + New patch. Install plugins in /usr/lib/libquicktime1 so that we don't
      conflict with libquicktime0 packages.

  * debian/patches/03-spurious-files-in-potfiles-in.dpatch:
    + New patch. Remove include/cmodel_default.h and utils/recover.c from
      POTFILES.in

  * debian/patches/04-use-soname.dpatch:
    + New patch. Set the soname for the library.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 26 Apr 2007 00:32:45 +0200

libquicktime (2:0.9.10+debian-3) experimental; urgency=low

  * Upload to experimental.

 -- Daniel Baumann <daniel@debian.org>  Thu, 19 Oct 2006 23:22:00 +0200

libquicktime (1:0.9.10+debian-2) unstable; urgency=low

  * Removed libglib1.2 manual depends, not required anymore.

 -- Daniel Baumann <daniel@debian.org>  Fri,  6 Oct 2006 01:46:00 +0200

libquicktime (1:0.9.10+debian-1) unstable; urgency=low

  * New upstream release.
  * New maintainer (Closes: #379249).
  * Acknowledge NMUs (Closes: #205987, #222418, #239373, #261520, #305174,
    #322640, #323659, #326462, #326463, #326753, #359861, #359863, #372467)
  * Updated build-depends for glib1.2 (Closes: #391251).
  * Rebuild upstream tarball without debian directory.
  * Redone debian directory based on current debhelper templates, additionally:
    - added watch file.
    - dropping plugin_link, quicktime1394_link, rebootstrap, stringify, and
      target_priority patches, they are not needed with current upstream.
    - removed obsolete conflicts/replaces.
    - removed compatiblity headers, all package should be transitioned now.
    - using dpatch for upstream modifications now.

 -- Daniel Baumann <daniel@debian.org>  Thu,  5 Oct 2006 21:20:00 +0200

libquicktime (1:0.9.7-0.6) unstable; urgency=low

  * Non-maintainer upload.
  * Use quilt for patch management. It’s not like anyone appears to complain.
  * debian/control: 
    + Set policy to 3.7.2.
    + Build-depend on debhelper (>= 4.0).
    + Build-depend on quilt.
    + Uncapitalised short descriptions, removed leading "A" from short
      description, slightly improved quicktime-x11utils’ description.
    + Removed libc6-dev from libquicktime-dev’s dependency list.
  * debian/rules:
    + Migrated build rules to use debhelper 4.
    + Use dh_install instead of dh_movefiles.
    + Do not try to build firewire support on FreeBSD and Hurd, patch
      courtesy of Petr Salinger (Closes: #372467).
    + Reinstate optimisations in m68k now that gcc 4.1 is the default.

  * debian/patches/000_target_priority.diff:
    + Build libquicktime1394 _after_ libquicktime.

  * debian/patches/000_debian_subdir.diff:
    + Remove the debian/ subdirectory from SUBDIRS.

  * debian/patches/000_plugin_link.diff:
    + Link plugins with libquicktime.

  * debian/patches/000_quicktime1394_link.diff:
    + Link libquicktime1394.so with libquicktime and -lpthread.

  * debian/patches/000_stringify.diff:
    + Fix libavcodec version detection.

  * debian/patches/010_rebootstrap.diff:
    + Rebootstrap package with newer autotools.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 25 Jun 2006 23:08:35 +0200

libquicktime (1:0.9.7-0.5) unstable; urgency=low

  * Non-maintainer upload.
  * acinclude.m4, configure: Fix compile error in ffmpeg test program.
  * debian/control: Build-depend on libavcodec-dev to reinstate DV
    decoding support. Closes: #359863

 -- Daniel Kobras <kobras@debian.org>  Tue, 13 Jun 2006 15:36:59 +0200

libquicktime (1:0.9.7-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Use correct syntax to override CFLAGS on m68k.

 -- Daniel Kobras <kobras@debian.org>  Tue,  6 Sep 2005 11:50:06 +0200

libquicktime (1:0.9.7-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild in clean environment to avoid dependency on unofficial
    liblame package. Closes: #326462
  * dist/{header-fix.diff,mmx-fix.diff,optimize.diff,shlib-ver.diff}:
    Old patches that are no longer applied to 0.9.7. Moved to dist.off.
  * debian/control: Moved leftover executables in /usr/bin from
    libquicktime0 to respective utils package. Conflicts/Replaces added.
    Closes: #326753
  * debian/control: Package libquicktime0 conflicts with (now obsolete)
    libquicktime4linux0. Closes: #323659
  * debian/lqt_compat_header.stub: Template for compatibility headers to
    facilitate the move from /usr/include/quicktime to /usr/include/lqt.
  * debian/rules: Generate compatibility headers. Lowers severity of
    #325647 and similar build failures for the time being.
  * debian/rules: Override autodetection of cpu flags to make sure package
    is independent of build machine.
  * debian/rules: Remove CFLAGS override that didn't work with current
    configure script and replace with conditional confflags.
  * debian/rules: Use less aggressive optimisation on m68k to work around
    internal compiler errors with gcc 4.0
  * debian/libquicktime-dev.NEWS: Notify users of header move.
    Closes: #326463
  * debian/quicktime-utils.files: Add lqt_transcode (moved from
    libquicktime0).
  * debian/quicktime-x11utils.files: Add lqtvrplay (moved from
    libquicktime0).

 -- Daniel Kobras <kobras@debian.org>  Mon,  5 Sep 2005 16:07:25 +0200

libquicktime (1:0.9.7-0.2) unstable; urgency=low

  * NMU.
  * Fix typo in previous changelog entry.
  * libquicktime0 replaces libquicktime1 1:0.9.7-0.1

 -- Christian Marillat <marillat@debian.org>  Sun, 21 Aug 2005 23:59:12 +0200

libquicktime (1:0.9.7-0.1) unstable; urgency=low

  * Change the libquicktime1 package name to libquicktime0 du to library
    Soname change libquicktime1 is now libquicktime0.
  * Add libxv-dev in Build-Depends.

 -- Christian Marillat <marillat@debian.org>  Wed, 17 Aug 2005 17:19:43 +0200

libquicktime (1:0.9.3-2.1) unstable; urgency=low

  * NMU.
  * Back to this version. I've not see but, the soname library has changed
    in 0.9.7 from 1 to 0... I'll do a new 0.9.7 upload after this one.
  * Use gcc 3.4, only for this version 0.9.7 use gcc 4.x

 -- Christian Marillat <marillat@debian.org>  Wed, 17 Aug 2005 16:58:38 +0200

libquicktime (0.9.7-0.0) unstable; urgency=low

  * NMU
  * New upstream release (Closes: #305174)
  * Now need to Build-Depends on libgtk2.0-dev.
  * Don't need to use automake and friends (Closes: #239373)
  * debian/copyright update upstream home page URL.
  * Doesn't defines duplicate u_int64_t (Closes: #322640)

 -- Christian Marillat <marillat@debian.org>  Tue, 16 Aug 2005 11:18:59 +0200

libquicktime (0.9.3-2) unstable; urgency=low

  * add libglib-dev dependency to libquicktime-dev (closes: #279861).
  * add missing function declaration to quicktime.h, needed to
    build xmovie, found by David Martinez Moreno.

 -- Gerd Knorr <kraxel@debian.org>  Mon,  8 Nov 2004 13:25:57 +0100

libquicktime (0.9.3-1) unstable; urgency=low

  * new upstream release (closes: #265334).
  * fix plugin path issue (closes: #251852, #261146, #252446, #265196).

 -- Gerd Knorr <kraxel@debian.org>  Tue, 17 Aug 2004 15:38:07 +0200

libquicktime (0.9.2release-5) unstable; urgency=low

  * second attempt, hopefully closes: #250614 ;)

 -- Gerd Knorr <kraxel@debian.org>  Wed, 26 May 2004 11:44:52 +0200

libquicktime (0.9.2release-4) unstable; urgency=low

  * fix amd64 build (closes: #250614).

 -- Gerd Knorr <kraxel@debian.org>  Tue, 25 May 2004 17:01:14 +0200

libquicktime (0.9.2release-3) unstable; urgency=low

  * add fps fix (closes: #232614).
  * tweak build dependencies (closes: #243232).
  * trigger rebuild and update dependencies for libdv4.

 -- Gerd Knorr <kraxel@debian.org>  Tue, 20 Apr 2004 15:37:25 +0200

libquicktime (0.9.2release-2) unstable; urgency=low

  * fix file lists.

 -- Gerd Knorr <kraxel@debian.org>  Mon, 13 Oct 2003 09:52:12 +0200

libquicktime (0.9.2release-1) unstable; urgency=low

  * new upstream release (closes: #176185).
  * fixed libquicktime-dev dependencies (closes: #194450).

 -- Gerd Knorr <kraxel@debian.org>  Wed,  8 Oct 2003 16:32:02 +0200

libquicktime (0.9.2pre1-8.1) unstable; urgency=low

  * Non-maintainer upload according to the release manager's plan.
  * Changed build-dependency from automake1.5 to automake1.7 to fix
    building problems (closes: #205987).

 -- Roland Mas <lolando@debian.org>  Sun, 31 Aug 2003 22:24:21 +0200

libquicktime (0.9.2pre1-8) unstable; urgency=low

  * s/-funroll-all-loops// to workaround gcc bug (closes: #198184).

 -- Gerd Knorr <kraxel@debian.org>  Mon, 23 Jun 2003 11:11:31 +0200

libquicktime (0.9.2pre1-7) unstable; urgency=low

  * fixed devel package dependencies.
  * updated Section: for devel package.
  * raised standards version.

 -- Gerd Knorr <kraxel@debian.org>  Thu, 10 Apr 2003 13:17:06 +0200

libquicktime (0.9.2pre1-6) unstable; urgency=low

  * trigger rebuild because someone uploaded broken i386 debs.
    libraw1394 is fixed, so the buildd machines should quickly
    build updated packages this time ...

 -- Gerd Knorr <kraxel@debian.org>  Tue, 25 Mar 2003 16:25:01 +0100

libquicktime (0.9.2pre1-5) unstable; urgency=low

  * fixed debian/rules (closes: #178177).
  * the rebuild triggered by this upload hopefully
    fixes the mess caused by the broken vorbis packages
    (closes: #176209, #185062).
  * fixed quicktime-utils description (closes: #167977).
  * fixed libdv autoconf test (closes: #178575).
  * updated build dependencies.

 -- Gerd Knorr <kraxel@debian.org>  Mon, 17 Mar 2003 16:40:47 +0100

libquicktime (0.9.2pre1-4) unstable; urgency=low

  * more build dep fixes, fixed rtjpeg plugin build (closes: #171102).

 -- Gerd Knorr <kraxel@debian.org>  Fri, 10 Jan 2003 14:25:22 +0100

libquicktime (0.9.2pre1-3) unstable; urgency=low

  * fixed build dependences (closes: #167142).

 -- Gerd Knorr <kraxel@debian.org>  Thu, 31 Oct 2002 13:59:48 +0100

libquicktime (0.9.2pre1-2) unstable; urgency=low

  * fixed dependencies.

 -- Gerd Knorr <kraxel@debian.org>  Wed, 23 Oct 2002 18:12:59 +0200

libquicktime (0.9.2pre1-1) unstable; urgency=low

  * Initial Release.

 -- Gerd Knorr <kraxel@debian.org>  Sat,  2 Mar 2002 09:56:49 +0100
